List usage summary for a current
GET
/v1/tenants/current/usage-summarycurl -X GET 'https://api.embodiflow.io/v1/tenants/current/usage-summary' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
查询参数
- categorystring
- projectIdstring (uuid)
- userIdstring (uuid)
响应
Success
- dataobject必填
- tenantIdstring必填
- categorystring必填可选值storageworkflowcomputeegressall
- billingPeriodStartstring必填
- billingPeriodEndstring必填
- billingStatestring | null必填
- metersarray<UsageQuotaMeterLineDto>必填
- projectIdstring
- userIdstring
响应示例
{
"data": {
"tenantId": "string",
"category": "storage",
"billingPeriodStart": "string",
"billingPeriodEnd": "string",
"billingState": "string",
"meters": [
{
"meterCode": "string",
"displayName": "string",
"quantity": "string",
"unit": "string",
"includedQuantity": "string",
"limitQuantity": "string",
"status": "warn",
"reasonCode": "TENANT_FROZEN",
"configuredWarnRatio": 0,
"effectiveWarnRatio": 0,
"configuredBlockRatio": 0,
"effectiveBlockRatio": 0
}
],
"projectId": "string",
"userId": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1